package org.phosphoresce.poi.dyna;

import java.util.LinkedList;

import org.phosphoresce.poi.PoiGlobal;

/**
 * 動的バインドリストクラス<br>
 * 
 * @author kitagawa<br>
 * 
 *<!--
 * 更新日		更新者			更新内容
 * 2005/11/21	Kitagawa		新規作成
 * 2012/07/09	Kitagawa		バージョン2にアップデート
 *-->
 */
public class PoiDynaList extends LinkedList<PoiDynaMap> implements PoiGlobal, PoiDynaValue {

	/**
	 * コンストラクタ<br>
	 */
	public PoiDynaList() {
		super();
	}

	/**
	 * バインド値タイプを取得します。<br>
	 * @return バインド値タイプ
	 * @see jp.co.ines.webappfw.common.poi.dyna.PoiDynaValue#getDynaValueType()
	 */
	public int getDynaValueType() {
		return TYPE_LIST;
	}
}
